{#
Displays a map widget to define a spatial filter on the dataset search page sidebar

default_extent
  Initial map extent (Optional, defaults to the whole world). It can be defined
  either as a pair of coordinates or as a GeoJSON bounding box.

e.g.
  {% snippet "spatial/snippets/spatial_query.html", default_extent=[[15.62, -139.21], [64.92, -61.87]] %}

  {% snippet "spatial/snippets/spatial_query.html", default_extent="{ \"type\": \"Polygon\", \"coordinates\": [[[74.89, 29.39],[74.89, 38.45], [60.50, 38.45], [60.50, 29.39], [74.89, 29.39]]]}" %}

#}
<section id="dataset-map" class="module module-narrow module-shallow">
  <h2 class="module-heading">
    <i class="icon-medium icon-globe"></i>
    {{ _('Filter by location') }}
    <a href="{{ h.remove_url_param(['ext_bbox','ext_prev_extent', 'ext_location', 'ext_geo_input']) }}" class="action">{{ _('Clear') }}</a>
  </h2>
    <div id="geo_search_input">
        <input type="text"
               autocomplete="off"
               data-module="edp_geo"
               data-module-url="{{ h.url_for('gazetteer_autocomplete') }}"
               placeholder="{{ _('Search Location...') }}">
    </div>

  {% set map_config = h.get_common_map_config() %}
  <div class="dataset-map" data-module="spatial-query" data-default_extent="{{ default_extent }}" data-module-map_config="{{ h.dump_json(map_config) }}">
    <div id="dataset-map-container"></div>
  </div>
  <div id="dataset-map-attribution">
    {% snippet "spatial/snippets/map_attribution.html", map_config=map_config %}
  </div>
</section>

{% resource 'ckanext-spatial/spatial_query' %}

